### Skrypt PowerShella
### Zakładanie lokalnego konta użytkownika

# Zmienne
$Nazwa = "dr Holger Schwichtenberg"
$NazwaKonta = "HolgerSchwichtenberg"
$Opis = "Autor tej książki / Witryna: www.windows-scripting.com"
$Hasło = "sekret+123"
$Komputer = "localhost"

"Zakładanie konta użytkownika komputera: $Komputer"

# Tworzenie obiektu kontenera biblioteki COM 
# "Active Directory Service Interface (ADSI)" 
$Kontener = [ADSI] "WinNT://$Komputer" 
# Tworzenie użytkownika
$obiektUser = $Kontener.Create("user", $NazwaKonta)
$obiektUser.Put("Fullname", $Nazwa)
$obiektUser.Put("Description", $Opis)
# Ustawianie hasła
$obiektUser.SetPassword($Hasło)
# Zapisywanie zmian
$obiektUser.SetInfo()
"Utworzono konto o nazwie: $Nazwa"
